<!--
/**
 * Copyright (C) 2019 KhronoSync Digital Solutions LLC
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>
 */
-->
<html lang="en">
<head>
  <title>{{.Distro.Name}}</title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto">
  <link rel="stylesheet" href="/static/css/font-awesome.css">
  <link rel="stylesheet" href="/static/css/w3.css">
  <link rel="stylesheet" href="/static/css/theme.css">
  <link rel="stylesheet" href="/static/css/style.css">
  <script src="https://www.google.com/recaptcha/api.js"></script>
  <script>
    function onSubmit(token) {
      document.getElementById("rating-form").submit();
    }
  </script>
</head>

{{$sess := .Session}}
{{$distro := .Distro}}

<body class="content">

{{template "header.html" .}}

<!-- Distro Info -->
<div class="di">
  <!-- Distro Image -->
  <a href="{{.Distro.Homepage}}">
    <div class="di-image w3-round" style="background-color: {{.Distro.LogoBgColor}}; display: table">
      <div style="display: table-cell; vertical-align: middle">
        <img class="w3-padding"
             style="width:100%; height: auto;"
             src="/static/images/{{.Distro.LogoImageV}}"
             alt="{{.Distro.Name}}"/>
      </div>
    </div>
  </a>

  <!-- Distro Description -->
  <div class="di-description">
    <h1><a href="{{.Distro.Homepage}}">{{.Distro.Name}}</a></h1>
    <p>{{.Distro.Description}}</p>
    <p>
      <em>Source:</em> <a href="{{.Distro.DescSource}}">{{.Distro.DescSource}}</a>
      <br />
      <em>Homepage:</em> <a href="{{.Distro.Homepage}}">{{.Distro.Homepage}}</a>
    </p>
  </div>
</div>

<!-- Distro Rating -->
<div style="height:327px">
  <ul class="tabs">
    {{range .RatingsInfo}}
      <li class="tab">
        {{if eq .Heading "Overall"}}
          <input type="radio"
                 name="tabs"
                 id="tab{{.Heading}}"
                 checked />
        {{else}}
          <input type="radio"
                 name="tabs"
                 id="tab{{.Heading}}" />
        {{end}}

        {{if eq .Heading "Workstation"}}
          <label for="tab{{.Heading}}">Desktop</label>
        {{else}}
          <label for="tab{{.Heading}}">{{.Heading}}</label>
        {{end}}

        <div id="tab-content{{.Heading}}0" class="content ur">
          {{getStarRating .Avg}}
          <p>{{twoDecFloat .Avg}} average based on {{.Total}} reviews</p>
          <hr style="border:3px solid #f1f1f1">

          <div class="ur-row">
            <div class="ur-side">
              <div>5 star</div>
            </div>
            <div class="ur-middle">
              <div class="ur-bar-container">
                <div class="ur-bar" style="width:{{.Percent5Star}}%"></div>
              </div>
            </div>
            <div class="ur-side ur-right">
              <div>{{.Total5Star}}</div>
            </div>

            <div class="ur-side">
              <div>4 star</div>
            </div>
            <div class="ur-middle">
              <div class="ur-bar-container">
                <div class="ur-bar" style="width:{{.Percent4Star}}%"></div>
              </div>
            </div>
            <div class="ur-side ur-right">
              <div>{{.Total4Star}}</div>
            </div>

            <div class="ur-side">
              <div>3 star</div>
            </div>
            <div class="ur-middle">
              <div class="ur-bar-container">
                <div class="ur-bar" style="width:{{.Percent3Star}}%"></div>
              </div>
            </div>
            <div class="ur-side ur-right">
              <div>{{.Total3Star}}</div>
            </div>

            <div class="ur-side">
              <div>2 star</div>
            </div>
            <div class="ur-middle">
              <div class="ur-bar-container">
                <div class="ur-bar" style="width:{{.Percent2Star}}%"></div>
              </div>
            </div>
            <div class="ur-side ur-right">
              <div>{{.Total2Star}}</div>
            </div>

            <div class="ur-side">
              <div>1 star</div>
            </div>
            <div class="ur-middle">
              <div class="ur-bar-container">
                <div class="ur-bar" style="width:{{.Percent1Star}}%"></div>
              </div>
            </div>
            <div class="ur-side ur-right">
              <div>{{.Total1Star}}</div>
            </div>
          </div>
        </div>
      </li>
    {{end}}
  </ul>
</div>

<!-- Add Rating -->
<div class="rf">
  <form id="rating-form" action="/distro/{{.Distro.Name}}" method="post">
    <input type="hidden" name="distroId" value="{{.Distro.Id}}">
    <input type="hidden" name="distroName" value="{{.Distro.Name}}">
    <h2 class="w3-center">Leave a Review</h2>

    <!-- Name -->
    <div class="w3-row w3-margin-bottom">
      <div class="w3-col" style="width: 50px">
        <i class="fas fa-user w3-xxlarge"></i>
      </div>
      <div class="w3-rest">
        <input class="w3-input w3-round"
               name="name"
               type="text"
               placeholder="Name">
      </div>
    </div>

    <!-- Star Ratings -->
    <div class="w3-cell-row">
      <div class="w3-cell w3-mobile">
        <div class="w3-cell-row">
          <div class="w3-cell w3-cell-middle" style="text-align: right; width: 100px">
            <strong>Desktop: </strong>
          </div>
          <div class="w3-cell w3-cell-middle w3-left-align">
            {{starCtrl "workstation"}}
          </div>
        </div>
      </div>
      <div class="w3-cell w3-mobile">
        <div class="w3-cell-row">
          <div class="w3-cell w3-cell-middle" style="text-align: right; width: 100px">
            <strong>IoT: </strong>
          </div>
          <div class="w3-cell w3-cell-middle w3-left-align">
            {{starCtrl "iot"}}
          </div>
        </div>
      </div>
    </div>
    <div class="w3-cell-row w3-margin-bottom">
      <div class="w3-cell w3-mobile">
        <div class="w3-cell-row">
          <div class="w3-cell w3-cell-middle" style="text-align: right; width: 100px">
            <strong>Server: </strong>
          </div>
          <div class="w3-cell w3-cell-middle w3-left-align">
            {{starCtrl "server"}}
          </div>
        </div>
      </div>
      <div class="w3-cell w3-mobile">
        <div class="w3-cell-row">
          <div class="w3-cell w3-cell-middle" style="text-align: right; width: 100px">
            <strong>Overall: </strong>
          </div>
          <div class="w3-cell w3-cell-middle w3-left-align">
            {{starCtrl "overall"}}
          </div>
        </div>
      </div>
    </div>

    <!-- Comment -->
    <div class="w3-row w3-margin-bottom">
      <div class="w3-col" style="width: 50px">
        <i class="fas fa-pencil-alt w3-xxlarge"></i>
      </div>
      <div class="w3-rest">
        <textarea class="w3-input w3-round" name="comment" placeholder="Comment"></textarea>
      </div>
    </div>
    {{if ne .SiteKey ""}}
    <button class="g-recaptcha w3-button w3-round w3-right an-theme-button"
            data-sitekey="{{.SiteKey}}"
            data-callback="onSubmit"
            data-action="submit">
      Submit
    </button>
    {{else}}
    <input class="w3-button w3-round w3-right an-theme-button" type="submit" value="Submit">
    {{end}}
  </form>
</div>

<!-- Sort Ratings -->
<div class="rf">
  <form action="/distro/{{.Distro.Name}}/sort" method="post">
    <input type="hidden" name="distroId" value="{{.Distro.Id}}">
    <input type="hidden" name="distroName" value="{{.Distro.Name}}">

    <div class="w3-center">
      <label for="rating-sort"></label>
      <select id="rating-sort"
              class="dropdown"
              name="rating-sort"
      >
        <option value="useful"
          {{if eq .Sort "useful"}}
                selected
          {{end}}
        >
          Most Useful
        </option>
        <option value="recent"
          {{if eq .Sort "recent"}}
                selected
          {{end}}
        >
          Most Recent
        </option>
      </select>

      <input class="w3-button w3-round an-theme-button"
             type="submit"
             value="Sort">
    </div>
  </form>
</div>

<!-- List Ratings -->
{{range .Ratings}}
  <div class="list-rating-container">
    <header>
      {{if ne $sess.Username ""}}
        <a href="/distro/{{$distro.Name}}/rating/{{.Id}}/delete"
           class="w3-button w3-round"
           style="color: white !important; background-color: red !important">
          Remove
        </a>
      {{end}}
      <a href="/distro/{{$distro.Name}}/rating/{{.Id}}/upvote"
         class="w3-button w3-round an-theme-button"
         style="color: #f2f2f2 !important">
        Useful
      </a>

      <h2>{{.Username}}</h2>
      <span>
        {{.Upvotes}} users found this useful.
      </span>
      <table>
        <tr>
          <td>Desktop:</td><td>{{getStarRating .RateWorkstation}}</td>
          <td>IoT:</td><td>{{getStarRating .RateIoT}}</td>
        </tr>
        <tr>
          <td>Server:</td><td>{{getStarRating .RateServer}}</td>
          <td>Overall:</td><td>{{getStarRating .RateOverall}}</td>
        </tr>
      </table>
    </header>

    <div>
      <p>{{.Comment}}</p>
    </div>
  </div>
{{end}}

{{template "footer.html" .}}

</body>
</html>